Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmc
Class BodyPartList

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmc.BodyPartList

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class BodyPartList
extends ASN1Object

BodyPartList ::= SEQUENCE SIZE (1..MAX) OF BodyPartID

Constructor Summary
`BodyPartList(BodyPartID bodyPartID)` Construct a BodyPartList object containing one BodyPartID.
`BodyPartList(BodyPartID[] bodyPartIDs)`

Method Summary
`BodyPartID[]` | `getBodyPartIDs()`
`static BodyPartList` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static BodyPartList` | `getInstance(java.lang.Object obj)`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BodyPartList

    public BodyPartList(BodyPartID bodyPartID)

  Construct a BodyPartList object containing one BodyPartID.

Parameters:
  `bodyPartID` - the BodyPartID to be contained.

### BodyPartList

    public BodyPartList(BodyPartID[] bodyPartIDs)

Method Detail

### getInstance

    public static BodyPartList getInstance(java.lang.Object obj)

### getInstance

    public static BodyPartList getInstance(ASN1TaggedObject obj,
                                           boolean explicit)

### getBodyPartIDs

    public BodyPartID[] getBodyPartIDs()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD